> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bread.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create identity

> This endpoint allows you to create identity verification.



## OpenAPI

````yaml openapi.json post /identity
openapi: 3.0.3
info:
  title: Bread API
  description: >-
    The Bread provides comprehensive cryptocurrency wallet management
    capabilities including wallet creation, balance monitoring, and asset
    transfers.
  version: 2.0.0
servers:
  - url: https://processor-prod.up.railway.app
    description: Production server
security: []
paths:
  /identity:
    post:
      tags:
        - Identity
      summary: Create identity
      description: This endpoint allows you to create identity verification.
      operationId: createIdentity
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateIdentityRequest'
      responses:
        '201':
          description: Identity created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateIdentityResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateIdentityRequest:
      type: object
      required:
        - type
        - name
        - details
      properties:
        type:
          type: string
          enum:
            - BVN
            - NIN
            - Link
          description: Type of identity verification
          example: BVN
        name:
          type: string
          description: Full name of the identity holder
          example: John Doe
        details:
          type: object
          description: Identity details based on type
          oneOf:
            - type: object
              required:
                - bvn
                - dob
              title: BVN
              properties:
                bvn:
                  type: string
                  description: Bank Verification Number
                  example: '1234567890'
                dob:
                  type: string
                  description: Date of birth of the identity holder
                  example: 01-05-1990
            - type: object
              required:
                - nin
                - dob
              title: NIN
              properties:
                nin:
                  type: string
                  description: National Identification Number
                  example: '1234567890'
                dob:
                  type: string
                  description: Date of birth of the identity holder
                  example: 01-05-1990
            - type: object
              required:
                - email
                - country
              title: Link
              properties:
                email:
                  type: string
                  format: email
                  description: User's email address
                  example: user@example.com
                country:
                  type: string
                  description: User's country
                  example: NG
    CreateIdentityResponse:
      type: object
      properties:
        success:
          type: boolean
          example: true
        status:
          type: integer
          example: 201
        message:
          type: string
          example: Identity created successfully
        timestamp:
          type: string
          format: date-time
          example: '2025-09-08T19:26:31.532Z'
        data:
          type: object
          properties:
            id:
              type: string
              example: 68bf2de7196a18d7bd165ffb
            link:
              type: string
              nullable: true
              description: Link URL returned when type is 'link'
              example: null
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-service-key

````